Retrieve orders

Retrieves a list of orders for your Yotpo store.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • Required parameters are listed below. For the full list of properties, see About orders.
  • For example requests, see below.
  • For example responses, click the relevant status code on the right.

Example requests

GET /core/v3/stores/{store_id}/orders
GET /core/v3/stores/{store_id}/orders?page_info={page_info}
GET /core/v3/stores/{store_id}/orders?page_info={page_info}&limit={limit}
GET /core/v3/stores/{store_id}/orders?external_ids=ext1,ext2
GET /core/v3/stores/{store_id}/orders?order_date_min=2020-08-22T10:34:56.000Z&order_date_max=2020-12-20T15:55:44.000Z
📘

order_date_min and order_date_max need a full ISO 8601 date and time, such as 2024-01-01T00:00:00Z. A date on its own (2024-01-01) returns a 400 error.

Path Params
string
required

The store ID (app_key).

Query Params
string

Encoded page info.

int32
1 to 100
Defaults to 100

The number of results per page, from 1 to 100. Defaults to 100.

string

Return only entities specified by a comma-separated (without spaces) list of external IDs. The argument must be URL encoded. Max 100 IDs. Can't come with page_info or limit.

date-time

Show orders created on or after this date and time, in ISO 8601 date-time format (for example 2024-01-01T00:00:00Z). A date without a time is rejected. Can be used alone or with order_date_max.

date-time

Show orders created on or before this date and time, in ISO 8601 date-time format (for example 2024-01-01T00:00:00Z). A date without a time is rejected. Can be used alone or with order_date_min.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain